Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 650422 (CVE-2018-5125, CVE-2018-5127, CVE-2018-5129, CVE-2018-5130, CVE-2018-5131, CVE-2018-5144) - <www-client/firefox-52.7.2: multiple vulnerabilities (MFSA-2018-07)
Summary: <www-client/firefox-52.7.2: multiple vulnerabilities (MFSA-2018-07)
Status: RESOLVED FIXED
Alias: CVE-2018-5125, CVE-2018-5127, CVE-2018-5129, CVE-2018-5130, CVE-2018-5131, CVE-2018-5144
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://www.mozilla.org/en-US/securit...
Whiteboard: A2 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-13 17:59 UTC by GLSAMaker/CVETool Bot
Modified: 2018-10-02 22:25 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2018-03-13 17:59:32 UTC
Incoming details.
Comment 1 Thomas Deutschmann gentoo-dev Security 2018-03-13 18:00:38 UTC
CVE-2018-5127: Buffer overflow manipulating SVG animatedPathSegList

Impact
    high

Description

A buffer overflow can occur when manipulating the SVG animatedPathSegList through script. This results in a potentially exploitable crash.


CVE-2018-5129: Out-of-bounds write with malformed IPC messages

Impact
    high

Description

A lack of parameter validation on IPC messages results in a potential out-of-bounds write through malformed IPC messages. This can potentially allow for sandbox escape through memory corruption in the parent process.


CVE-2018-5130: Mismatched RTP payload type can trigger memory corruption

Impact
    high

Description

When packets with a mismatched RTP payload type are sent in WebRTC connections, in some circumstances a potentially exploitable crash is triggered.


CVE-2018-5131: Fetch API improperly returns cached copies of no-store/no-cache resources

Impact
    moderate

Description

Under certain circumstances the fetch() API can return transient local copies of resources that were sent with a no-store or no-cache cache header instead of downloading a copy from the network as it should. This can result in previously stored, locally cached data of a website being accessible to users if they share a common profile while browsing.


CVE-2018-5144: Integer overflow during Unicode conversion

Impact
    moderate

Description

An integer overflow can occur during conversion of text to some Unicode character sets due to an unchecked length parameter.


CVE-2018-5125: Memory safety bugs fixed in Firefox 59 and Firefox ESR 52.7

Impact
    critical

Description

Mozilla developers and community members Bob Clary, Olli Pettay, Christoph Diehl, Christian Holler, Nils Ohlmeier, Randell Jesup, Tyson Smith, Ralph Giles, and Philipp reported memory safety bugs present in Firefox 58 and Firefox ESR 52.6. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.
Comment 2 Teika kazura 2018-03-15 01:00:14 UTC
These vulnerabilities also affect www-client/firefox-bin. Affected versions are < 59.0 and for ESR, <52.7 (but 52.7.1 was released: https://www.mozilla.org/en-US/firefox/52.7.1/releasenotes/.

Regards
Comment 3 Teika kazura 2018-03-17 00:04:40 UTC
Two other "critical" vulnerabilities are there, which are fixed in 59.0.1 and ESR 52.7.2.

See MFSA 2018-08: https://www.mozilla.org/en-US/security/advisories/mfsa2018-08/
.
In CVE, they're CVE-2018-5146 and CVE-2018-5147.

Thanks.
Comment 4 Thomas Deutschmann gentoo-dev Security 2018-03-17 18:50:05 UTC
> To those of you who build Linux-ARM distributions it's important to note
> that you'll need one patch past the ESR 52.7.2 release tag to pick up
> the libtremor fix.
> 
> On 59.0.1 this patch is included in the _BUILD2 and _RELEASE tags, but
> because we didn't have an ARM build for ESR there was no _BUILD2
> tagging. You will want to build with
> https://hg.mozilla.org/releases/mozilla-esr52/rev/5cd5586a2f48
> 
> Please spread the word amongst the linux distro community.

Source: http://seclists.org/oss-sec/2018/q1/242
Comment 5 Teika kazura 2018-03-22 11:37:14 UTC
If the maintainers are busy, can't someone do something? At least for ESR. (Perhaps setting a deadline, say 3 days, might help keeping Gentoo's value.)  

Sorry for making noise, but it's a security issue, deemed "critical".
Comment 6 Teika kazura 2018-03-28 07:02:12 UTC
(Off-topic, about unofficial ebuilds. Sorry for abusing bugzilla for such thing.)

To try www-client/firefox-bin-59.0.2.ebuild and www-client/firefox-59.0.2.ebuild, see this forum thread:
https://forums.gentoo.org/viewtopic-t-1079094.html
Comment 7 Thomas Albers 2018-04-13 21:26:13 UTC
Also see bug # 651676. Current ESR version is 52.7.3
Comment 8 Thomas Deutschmann gentoo-dev Security 2018-10-02 09:05:50 UTC
Added to an existing GLSA request.
Comment 9 GLSAMaker/CVETool Bot gentoo-dev 2018-10-02 22:25:16 UTC
This issue was resolved and addressed in
 GLSA 201810-01 at https://security.gentoo.org/glsa/201810-01
by GLSA coordinator Thomas Deutschmann (whissi).